Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,6 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Optimization {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/OptimizerList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/OptimizerList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/OptimizerList.cs	(revision 4068)
@@ -21,6 +21,4 @@
 
 using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/ResultCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 4068)
@@ -21,6 +21,4 @@
 
 using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs	(revision 4068)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Core;
 
 namespace HeuristicLab.Optimization {
-  public interface IRunCollectionConstraint : IConstraint{
+  public interface IRunCollectionConstraint : IConstraint {
     new RunCollection ConstrainedValue { get; set; }
     string ConstraintColumn { get; set; }
Index: /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 4068)
@@ -21,11 +21,9 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Optimization {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 4068)
@@ -19,10 +19,7 @@
  */
 #endregion
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Optimization {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 4068)
@@ -21,11 +21,9 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Optimization {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 4068)
@@ -21,11 +21,9 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Optimization {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs	(revision 4068)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/ChartControlsWarning.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/ChartControlsWarning.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/ChartControlsWarning.cs	(revision 4068)
@@ -20,10 +20,4 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 4068)
@@ -21,8 +21,6 @@
 
 using System;
-using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.Common;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 4068)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure.Starter;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 4068)
@@ -22,7 +22,5 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs	(revision 4068)
@@ -23,7 +23,4 @@
 using System.Collections.Generic;
 using System.Windows.Forms;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.Optimization;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Windows.Forms;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs	(revision 4068)
@@ -24,5 +24,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 4068)
@@ -24,5 +24,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.PluginInfrastructure;
@@ -60,5 +59,5 @@
             IItem i = (IItem)Activator.CreateInstance(creatable);
             items.Add(i);
-            ListViewItem item = new ListViewItem(new string[] { i.ItemName, i.ItemVersion.ToString(), i.ItemDescription}, group);
+            ListViewItem item = new ListViewItem(new string[] { i.ItemName, i.ItemVersion.ToString(), i.ItemDescription }, group);
             itemsListView.SmallImageList.Images.Add(i.ItemImage);
             item.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 4068)
@@ -21,8 +21,8 @@
 
 using System;
-using System.Collections.Generic;
 using System.IO;
 using System.Linq;
 using System.Reflection;
+using System.Threading;
 using System.Windows.Forms;
 using HeuristicLab.Common;
@@ -30,5 +30,4 @@
 using HeuristicLab.MainForm;
 using HeuristicLab.Persistence.Default.Xml;
-using System.Threading;
 
 namespace HeuristicLab.Optimizer {
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Linq;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceAnalysis.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceAnalysis.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceAnalysis.cs	(revision 4068)
@@ -23,9 +23,6 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using System.Windows.Forms;
 using HeuristicLab.Persistence.Core;
-using System.Windows.Forms;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Reflection;
 
 namespace HeuristicLab.Persistence.GUI {
@@ -63,8 +60,8 @@
           assembly.FullName.StartsWith("Netron"))
           continue;
-        foreach (var type in assembly.GetTypes()) {          
+        foreach (var type in assembly.GetTypes()) {
           if (type.IsInterface || type.IsAbstract ||
               type.FullName.StartsWith("System.") ||
-              type.FullName.StartsWith("Microsoft.") ||              
+              type.FullName.StartsWith("Microsoft.") ||
               type.FullName.Contains("<") ||
               type.FullName.Contains(">") ||
@@ -74,5 +71,5 @@
               DerivesFrom(typeof(System.Attribute), type) ||
               type.GetInterface("HeuristicLab.MainForm.IUserInterfaceItem") != null
-            )            
+            )
             continue;
           try {
@@ -81,5 +78,6 @@
             /* if (!IsCorrectlyStorable(type))
               storableInconsistentcy.Add(type); */
-          } catch {
+          }
+          catch {
             types.Add(type);
           }
@@ -98,5 +96,5 @@
       }
       return true;
-    }  */  
+    }  */
   }
 }
Index: /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceConfigurationForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceConfigurationForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence.GUI/3.3/PersistenceConfigurationForm.cs	(revision 4068)
@@ -27,10 +27,5 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Persistence.Interfaces;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.GUI {
@@ -59,5 +54,6 @@
         ConfigurationService.Instance.LoadSettings(true);
         UpdateFromConfigurationService();
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         MessageBox.Show(
           "Persistence settings could not be loaded.\r\n" +
@@ -455,5 +451,5 @@
   }
 
-  
+
 
 }
Index: /trunk/sources/HeuristicLab.Persistence.GUI/3.3/TypeExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence.GUI/3.3/TypeExtensions.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence.GUI/3.3/TypeExtensions.cs	(revision 4068)
@@ -21,6 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
 using System.Text;
 
@@ -51,4 +49,4 @@
 
   }
-  
+
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/ReflectionTools.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/ReflectionTools.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/ReflectionTools.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Reflection;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/StringExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/StringExtensions.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/StringExtensions.cs	(revision 4068)
@@ -1,7 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Text.RegularExpressions;
+﻿using System.Collections.Generic;
 
 namespace HeuristicLab.Persistence.Auxiliary {
@@ -24,5 +20,5 @@
             yield return s.Substring(startIdx, i - startIdx);
           }
-          startIdx = i+1;
+          startIdx = i + 1;
         }
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeExtensions.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeExtensions.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Text;
 
 namespace HeuristicLab.Persistence.Auxiliary {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 4068)
@@ -20,12 +20,8 @@
 #endregion
 
-using System.Collections.Generic;
 using System;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Auxiliary;
-using HeuristicLab.Tracing;
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Tracing;
 
 namespace HeuristicLab.Persistence.Auxiliary {
@@ -37,15 +33,17 @@
       try {
         type = Type.GetType(typeNameString, true);
-      } catch (Exception) {
+      }
+      catch (Exception) {
         Logger.Warn(String.Format(
           "Cannot load type \"{0}\", falling back to partial name", typeNameString));
         try {
-          TypeName typeName = TypeNameParser.Parse(typeNameString);             
+          TypeName typeName = TypeNameParser.Parse(typeNameString);
 #pragma warning disable 0618
-          Assembly a = Assembly.LoadWithPartialName(typeName.AssemblyName);          
+          Assembly a = Assembly.LoadWithPartialName(typeName.AssemblyName);
           // the suggested Assembly.Load() method fails to load assemblies outside the GAC
 #pragma warning restore 0618
           type = a.GetType(typeName.ToString(false, false), true);
-        } catch (Exception) {
+        }
+        catch (Exception) {
           throw new PersistenceException(String.Format(
             "Could not load type \"{0}\"",
@@ -65,7 +63,9 @@
               typeNameString,
               type.AssemblyQualifiedName));
-        } catch (PersistenceException) {
+        }
+        catch (PersistenceException) {
           throw;
-        } catch (Exception e) {
+        }
+        catch (Exception e) {
           Logger.Warn(String.Format(
             "Could not perform version check requested type was {0} while loaded type is {1}:",
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 4068)
@@ -21,9 +21,7 @@
 
 using System;
+using System.Collections.Generic;
 using System.Linq;
 using System.Text;
-using System.Text.RegularExpressions;
-using System.Reflection.Emit;
-using System.Collections.Generic;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -135,5 +133,5 @@
     /// A <see cref="System.String"/> that represents this instance.
     /// </returns>
-    public string ToString(bool full, bool includeAssembly) {      
+    public string ToString(bool full, bool includeAssembly) {
       StringBuilder sb = new StringBuilder();
       if (!string.IsNullOrEmpty(Namespace))
@@ -236,5 +234,6 @@
         }
         return false;
-      } catch (KeyNotFoundException) {
+      }
+      catch (KeyNotFoundException) {
         throw new Exception("Could not extract version information from type string");
       }
@@ -269,5 +268,6 @@
         }
         return true;
-      } catch (KeyNotFoundException) {
+      }
+      catch (KeyNotFoundException) {
         throw new Exception("Could not extract version infomration from type string");
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs	(revision 4068)
@@ -21,8 +21,7 @@
 
 using System;
+using System.Collections.Generic;
 using System.Text;
 using System.Text.RegularExpressions;
-using System.Reflection.Emit;
-using System.Collections.Generic;
 
 namespace HeuristicLab.Persistence.Auxiliary {
@@ -121,5 +120,5 @@
         }
       }
-      public static IEnumerable<Token> Tokenize(string s) {        
+      public static IEnumerable<Token> Tokenize(string s) {
         int pos = 0;
         foreach (Match m in TokenRegex.Matches(s)) {
@@ -163,5 +162,6 @@
       try {
         return p.TransformTypeSpec();
-      } catch (ParseError x) {
+      }
+      catch (ParseError x) {
         if (p.Position > 0)
           throw new ParseError(String.Format(
